<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: I2S Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classI2S-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">I2S Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2f50ba781190dad5e8fba252f737ae47"><td class="memItemLeft" align="right" valign="top"><a id="a2f50ba781190dad5e8fba252f737ae47"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classI2S.html#a2f50ba781190dad5e8fba252f737ae47">cameraMode</a> (<a class="el" href="structdma__config__t.html">dma_config_t</a> config, int desc_count, int sample_count)</td></tr>
<tr class="memdesc:a2f50ba781190dad5e8fba252f737ae47"><td class="mdescLeft">&#160;</td><td class="mdescRight">EXPERIMENTAL. <br /></td></tr>
<tr class="separator:a2f50ba781190dad5e8fba252f737ae47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77c806749a3e67e1d47cb9ade52d26ea"><td class="memItemLeft" align="right" valign="top"><a id="a77c806749a3e67e1d47cb9ade52d26ea"></a>
<a class="el" href="classDMAData.html">DMAData</a>&#160;</td><td class="memItemRight" valign="bottom"><b>waitForData</b> ()</td></tr>
<tr class="separator:a77c806749a3e67e1d47cb9ade52d26ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a87df6f1d67475afbcd10248bd9d05822"><td class="memItemLeft" align="right" valign="top"><a id="a87df6f1d67475afbcd10248bd9d05822"></a>
<a class="el" href="classFreeRTOS_1_1Semaphore.html">FreeRTOS::Semaphore</a>&#160;</td><td class="memItemRight" valign="bottom"><b>m_dmaSemaphore</b></td></tr>
<tr class="separator:a87df6f1d67475afbcd10248bd9d05822"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="I2S_8h_source.html">I2S.h</a></li>
<li>I2S.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
